package org.artisanlogiciel.games.maze.solve;

import java.util.LinkedList;

/**
 * MazeResolutionListener used as interface between resolver and (mostly) GUI
 **/
public interface MazeResolutionListener
{

    boolean notifySearch(DirectionPosition pPosition);

    void notifySearchError(String error);

    void notifyCompletion(LinkedList<DirectionPosition> solvedPath);

}
